package com.icx.javaproxytunnel.model;

import com.fasterxml.jackson.annotation.*;

public class Prompt {
    private String transcript;
    private String base64EncodedG711UlawWithWavHeader;
    private String audioFilePath;
    private String textToSpeech;
    private String mediaSpecificObject;

    @JsonProperty("transcript")
    public String getTranscript() { return transcript; }
    @JsonProperty("transcript")
    public void setTranscript(String value) { this.transcript = value; }

    @JsonProperty("base64EncodedG711ulawWithWavHeader")
    public String getBase64EncodedG711UlawWithWavHeader() { return base64EncodedG711UlawWithWavHeader; }
    @JsonProperty("base64EncodedG711ulawWithWavHeader")
    public void setBase64EncodedG711UlawWithWavHeader(String value) { this.base64EncodedG711UlawWithWavHeader = value; }

    @JsonProperty("audioFilePath")
    public String getAudioFilePath() { return audioFilePath; }
    @JsonProperty("audioFilePath")
    public void setAudioFilePath(String value) { this.audioFilePath = value; }

    @JsonProperty("textToSpeech")
    public String getTextToSpeech() { return textToSpeech; }
    @JsonProperty("textToSpeech")
    public void setTextToSpeech(String value) { this.textToSpeech = value; }

    @JsonProperty("mediaSpecificObject")
    public String getMediaSpecificObject() { return mediaSpecificObject; }
    @JsonProperty("mediaSpecificObject")
    public void setMediaSpecificObject(String value) { this.mediaSpecificObject = value; }
}